Bug 212018 - (AnacondaExtrasConfig) anaconda crashes when selecting Extras or configuring iSCSI
anaconda crashes when selecting Extras or configuring iSCSI
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: James Antill
bzcl34nup
:
: 212160 212175 212179 212186 212413 212414 212422 212425 212431 212455 212590 212659 212711 213950 214070 214270 214509 214511 214744 214754 215143 215208 215814 216741 216839 217398 220822 221544 222969 230169 230843 238330 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-24 13:23 EDT by Bill Nottingham
Modified: 2014-03-16 23:03 EDT (History)
31 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-07 12:58:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2006-10-24 13:23:14 EDT
Description of problem:

When using static IP, the network configuration dialog crashes. This
may happen before it's even shown when selecting Extras, if a static
IP is already configured.

Version-Release number of selected component (if applicable):
anaconda-11.1.1.3-1

How reproducible:

Every time.

Steps to Reproduce:
1. Select 'add drive' to configure iscsi
2. Enter a static IP
  
Actual results:

An unhandled exception occurs.


Traceback (most recent call first):
  File "/usr/lib/anaconda/iw/netconfig_dialog.py", line 69, in _netdevChanged
    if netdev.get("ipaddr"):
self.xml.get_widget("ipv4AddressEntry").set_text(netdev.get
("ipaddr"))
AttributeError: 'NoneType' object has no attribute 'set_text'

Additional info:

This is fixed in CVS.

An updates image for this issue is available at:

http://people.redhat.com/notting/fc6-anaconda/updates.img
Comment 1 Jeremy Katz 2006-10-25 11:18:49 EDT
*** Bug 212179 has been marked as a duplicate of this bug. ***
Comment 2 Jeremy Katz 2006-10-25 11:42:14 EDT
*** Bug 212186 has been marked as a duplicate of this bug. ***
Comment 3 Chris Lumens 2006-10-26 14:51:43 EDT
*** Bug 212422 has been marked as a duplicate of this bug. ***
Comment 4 Chris Lumens 2006-10-26 14:52:04 EDT
*** Bug 212414 has been marked as a duplicate of this bug. ***
Comment 5 Chris Lumens 2006-10-26 14:52:09 EDT
*** Bug 212413 has been marked as a duplicate of this bug. ***
Comment 6 Chris Lumens 2006-10-26 15:15:27 EDT
*** Bug 212431 has been marked as a duplicate of this bug. ***
Comment 7 Chris Lumens 2006-10-26 16:38:22 EDT
*** Bug 212160 has been marked as a duplicate of this bug. ***
Comment 8 Chris Lumens 2006-10-26 16:51:24 EDT
*** Bug 212455 has been marked as a duplicate of this bug. ***
Comment 9 Chris Lumens 2006-10-26 17:02:14 EDT
*** Bug 212425 has been marked as a duplicate of this bug. ***
Comment 10 Chris Lumens 2006-10-27 10:38:34 EDT
*** Bug 212175 has been marked as a duplicate of this bug. ***
Comment 11 Chris Lumens 2006-10-27 13:05:49 EDT
*** Bug 212590 has been marked as a duplicate of this bug. ***
Comment 12 Jonathan Pritchard 2006-10-27 17:30:52 EDT
*** Bug 212659 has been marked as a duplicate of this bug. ***
Comment 13 Chris Lumens 2006-10-29 21:25:37 EST
*** Bug 212711 has been marked as a duplicate of this bug. ***
Comment 14 Bill Nottingham 2006-11-03 17:00:02 EST
*** Bug 213950 has been marked as a duplicate of this bug. ***
Comment 15 Ray Overdijk 2006-11-04 03:26:45 EST
For information on how to use the Anaconda Updates Disk Image, refer to:
http://fedoraproject.org/wiki/Anaconda/Updates
Comment 16 Chris Lumens 2006-11-06 09:51:29 EST
*** Bug 214070 has been marked as a duplicate of this bug. ***
Comment 17 Chris Lumens 2006-11-06 15:52:42 EST
*** Bug 214270 has been marked as a duplicate of this bug. ***
Comment 18 Chris Lumens 2006-11-07 17:07:39 EST
*** Bug 214509 has been marked as a duplicate of this bug. ***
Comment 19 Chris Lumens 2006-11-07 17:08:02 EST
*** Bug 214511 has been marked as a duplicate of this bug. ***
Comment 20 Chris Lumens 2006-11-09 10:39:29 EST
*** Bug 214754 has been marked as a duplicate of this bug. ***
Comment 21 Chris Lumens 2006-11-11 11:20:26 EST
*** Bug 215143 has been marked as a duplicate of this bug. ***
Comment 22 Chris Lumens 2006-11-13 10:14:34 EST
*** Bug 215208 has been marked as a duplicate of this bug. ***
Comment 23 Dimitris 2006-11-13 11:08:58 EST
wow! how could we miss a bug like this? we should have found it during testing... :(
Comment 24 Jeremy Katz 2006-11-16 14:57:00 EST
*** Bug 215814 has been marked as a duplicate of this bug. ***
Comment 25 Chris Lumens 2006-11-21 15:07:41 EST
*** Bug 216741 has been marked as a duplicate of this bug. ***
Comment 26 Chris Lumens 2006-11-22 09:48:30 EST
*** Bug 216839 has been marked as a duplicate of this bug. ***
Comment 27 Jeremy Katz 2006-11-28 17:59:26 EST
*** Bug 217398 has been marked as a duplicate of this bug. ***
Comment 28 Jeremy Katz 2007-01-03 13:56:29 EST
*** Bug 220822 has been marked as a duplicate of this bug. ***
Comment 29 Jeremy Katz 2007-01-04 20:11:26 EST
*** Bug 221544 has been marked as a duplicate of this bug. ***
Comment 30 Ney Senna 2007-01-23 09:43:42 EST
i use this update.img, but the problem still go one.
I use personal repos and ks.
when loading de extras repos, crash...

last lines of anaconda.log:
16:03:28 INFO    : moving (1) to step partitionobjinit
16:03:28 INFO    : no initiator set
16:03:29 ERROR   : could not create directory //dev/mapper: Arquivo existe
16:03:29 INFO    : moving (1) to step parttype
16:03:37 INFO    : moving (1) to step partition
16:04:01 INFO    : moving (1) to step partitiondone
16:04:01 INFO    : moving (1) to step bootloadersetup
16:04:02 INFO    : moving (1) to step networkdevicecheck
16:04:02 INFO    : moving (1) to step network
16:04:09 INFO    : moving (1) to step accounts
16:04:16 INFO    : moving (1) to step reposetup
16:04:16 INFO    : added repository SERPRO-LOCAL-i386 with with source URL
http://10.200.107.231/fc6/local/i386
16:04:16 INFO    : added repository SERPRO-LOCAL-NOARCH with with source URL
http://10.200.107.231/fc6/local/noarch
16:04:16 INFO    : added repository SERPRO-UPDATES with with source URL
http://10.200.107.231/fc6/updates/i386
16:04:16 INFO    : added repository SERPRO-EXTRAS with with source URL
http://10.200.107.231/fc6/extras/i386
16:04:30 INFO    : Running kickstart %%traceback script(s)
16:04:30 INFO    : All kickstart %%traceback script(s) have been run
16:04:30 CRITICAL: Traceback (most recent call first):
  File "/usr/lib/python2.4/site-packages/yum/__init__.py", line 415, in doGroupSetup
    raise Errors.GroupsError, 'No Groups Available in any repository'
  File "/usr/lib/anaconda/yuminstall.py", line 769, in doGroupSetup
    self.ayum.doGroupSetup()
  File "/usr/lib/anaconda/yuminstall.py", line 849, in doRepoSetup
    self.doGroupSetup()
  File "/usr/lib/anaconda/backend.py", line 149, in doRepoSetup
    anaconda.backend.doRepoSetup(anaconda)
  File "/usr/lib/anaconda/dispatch.py", line 199, in moveStep
    rc = stepFunc(self.anaconda)
  File "/usr/lib/anaconda/dispatch.py", line 122, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/gui.py", line 923, in nextClicked
    self.anaconda.dispatch.gotoNext()
GroupsError: No Groups Available in any repository

16:04:31 WARNING : /usr/lib/anaconda/gui.py:630: GtkWarning:
gtk_text_buffer_emit_insert: assertion `g_utf8_validate (text, len, NULL)' failed
  textbuf.insert(iter, line)
Comment 31 Chris Lumens 2007-02-19 10:36:16 EST
*** Bug 222969 has been marked as a duplicate of this bug. ***
Comment 32 Chris Lumens 2007-02-27 10:06:00 EST
*** Bug 230169 has been marked as a duplicate of this bug. ***
Comment 33 Jeremy Katz 2007-03-05 15:43:21 EST
*** Bug 230843 has been marked as a duplicate of this bug. ***
Comment 34 Jeremy Katz 2007-03-23 14:49:44 EDT
*** Bug 214744 has been marked as a duplicate of this bug. ***
Comment 35 Chris Lumens 2007-04-30 11:15:10 EDT
*** Bug 238330 has been marked as a duplicate of this bug. ***
Comment 36 Bug Zapper 2008-04-04 00:04:50 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 37 George R. Goffe 2008-04-06 01:42:52 EDT
This problem was solved several years ago. Where have you guys been?
Comment 38 George R. Goffe 2008-04-06 01:43:28 EDT
Jereme fixed this bug years ago...
Comment 39 Jon Stanley 2008-04-07 12:58:11 EDT
closing bug

Note You need to log in before you can comment on or make changes to this bug.